module.exports = function (grunt) {
  grunt.initConfig({
    zhIdGenerator: {
      options: {
        jsonPath: ["../"],
        menuPath: ["../menu.json"],
        replaceIds: false,
      },
    },
    buildEnvironment: {
      development: {
        configFile: "./parameters/devEnvironment.json",
      },
      production: {
        configFile: "./parameters/prodEnvironment.json",
      },
      test: {
        configFile: "./parameters/testEnvironment.json",
      },
      srcFolders: ["./src/config/", "../backend/config"],
    },
  });

  grunt.loadNpmTasks("grunt-zh-environment-builder");

  grunt.loadNpmTasks("grunt-zh-id-generator");

  grunt.registerTask("default", ["zhIdGenerator", "buildEnvironment"]);
};
